
Name:    ktp-presence-applet
Summary: Plasma applet for managing your Telepathy account presence
Version: 0.3.1
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/extragear/network/telepathy/%{name}
Source0: http://download.kde.org/unstable/kde-telepathy/%{version}/src/%{name}-%{version}.tar.bz2

## upstreamable patches
# default to actually *do* something on clicking the applet
Patch51: ktp-presence-applet-0.3.0-on_click.patch

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: ktp-common-internals-devel >= %{version}

Obsoletes: telepathy-kde-presence-applet < 0.3.0
Provides:  telepathy-kde-presence-applet = %{version}-%{release}

# not sure where best to put this other than here -- rex
Obsoletes: telepathy-kde-presence-dataengine < 0.3.0 
Provides:  telepathy-kde-presence-dataengine = %{version}-%{release}


%description
%{summary}.


%prep
%setup -q 

%patch51 -p1 -b .on_click


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# will work eventually
%find_lang %{name} --all-name --with-kde


%files -f %{name}.lang
%doc COPYING 
%{_kde4_libdir}/kde4/plasma_applet_ktp_presence.so
%{_kde4_datadir}/kde4/services/plasma_applet_ktp_presence.desktop


%changelog
* Mon Apr 02 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-1
- 0.3.1

* Fri Feb 17 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-3
- onclick default = contactlist

* Wed Jan 25 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-2
- workaround translations problem

* Tue Jan 24 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-1
- ktp-presence-applet

* Fri Nov 25 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.0-1
- 0.2.0

* Fri Sep 23 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-2
- fix Source0 URL
- fix spaces/tabs

* Fri Aug 12 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-1
- first try


